Escape comma character in gitea password generation
Change-Id: I772da78412076a6d557faa82ee014abd2a489fc3
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
diff --git a/installers/mgmt-cluster/01-provision-aux-svc.sh b/installers/mgmt-cluster/01-provision-aux-svc.sh
index 4f00732..ddd3cbf 100755
--- a/installers/mgmt-cluster/01-provision-aux-svc.sh
+++ b/installers/mgmt-cluster/01-provision-aux-svc.sh
@@ -16,7 +16,7 @@
# limitations under the License.
#######################################################################################
-set -ex -o pipefail
+set -e -o pipefail
# Warning!!!: Remember to select the desired kubeconfig profile before launching this script
diff --git a/installers/mgmt-cluster/gitea/00-custom-config.rc b/installers/mgmt-cluster/gitea/00-custom-config.rc
index 4666585..89c7e2f 100644
--- a/installers/mgmt-cluster/gitea/00-custom-config.rc
+++ b/installers/mgmt-cluster/gitea/00-custom-config.rc
@@ -18,8 +18,8 @@
# Transitent file to be sourced to bootstrap some key variables
# Random passwords
-export GITEA_ADMINISTRATOR_PASSWORD=$(apg -a 1 -M sncl -n 1 -m 12 -x 12 -E \\\*\'\"\`\$\<\>\{\})
-export GITEA_STD_USER_PASS=$(apg -a 1 -M sncl -n 1 -m 10 -x 10 -E \\\*\'\"\`\$\<\>\{\})
+export GITEA_ADMINISTRATOR_PASSWORD=$(apg -a 1 -M sncl -n 1 -m 12 -x 12 -E \\\*\'\"\`\$\<\>\{\}\,)
+export GITEA_STD_USER_PASS=$(apg -a 1 -M sncl -n 1 -m 10 -x 10 -E \\\*\'\"\`\$\<\>\{\}\,)
# Uncomment to deploy Gitea only as ClusterIP service (i.e., no LoadBalancer)
# export GITEA_CHART_VALUES_FILE=values-all.yaml
diff --git a/installers/mgmt-cluster/gitea/90-provision-gitea-for-osm.sh b/installers/mgmt-cluster/gitea/90-provision-gitea-for-osm.sh
index 5931e90..f2ada07 100755
--- a/installers/mgmt-cluster/gitea/90-provision-gitea-for-osm.sh
+++ b/installers/mgmt-cluster/gitea/90-provision-gitea-for-osm.sh
@@ -16,7 +16,7 @@
# limitations under the License.
#######################################################################################
-set -ex -o pipefail
+set -e -o pipefail
export HERE=$(dirname "$(readlink --canonicalize "$BASH_SOURCE")")
source "${HERE}/library/functions.sh"
diff --git a/installers/mgmt-cluster/gitea/ALL-IN-ONE-Gitea-install.sh b/installers/mgmt-cluster/gitea/ALL-IN-ONE-Gitea-install.sh
index 7bcd78c..b6bbffd 100755
--- a/installers/mgmt-cluster/gitea/ALL-IN-ONE-Gitea-install.sh
+++ b/installers/mgmt-cluster/gitea/ALL-IN-ONE-Gitea-install.sh
@@ -16,7 +16,7 @@
# limitations under the License.
#######################################################################################
-set -ex -o pipefail
+set -e -o pipefail
export HERE=$(dirname "$(readlink --canonicalize "$BASH_SOURCE")")
source "${HERE}/library/functions.sh"
diff --git a/installers/mgmt-cluster/gitea/admin/create-user-repository.sh b/installers/mgmt-cluster/gitea/admin/create-user-repository.sh
index edaa358..686c1a9 100755
--- a/installers/mgmt-cluster/gitea/admin/create-user-repository.sh
+++ b/installers/mgmt-cluster/gitea/admin/create-user-repository.sh
@@ -16,7 +16,7 @@
# limitations under the License.
#######################################################################################
-set -ex
+set -e
HERE=$(dirname "$(readlink --canonicalize "$BASH_SOURCE")")
. "$HERE/../library/functions.sh"
diff --git a/installers/mgmt-cluster/gitea/admin/create-user.sh b/installers/mgmt-cluster/gitea/admin/create-user.sh
index 6208d26..6812427 100755
--- a/installers/mgmt-cluster/gitea/admin/create-user.sh
+++ b/installers/mgmt-cluster/gitea/admin/create-user.sh
@@ -16,7 +16,7 @@
# limitations under the License.
#######################################################################################
-set -ex
+set -e
HERE=$(dirname "$(readlink --canonicalize "$BASH_SOURCE")")
source "${HERE}/../library/functions.sh"